LPCOpen Platform for LPC18XX/43XX microcontrollers: IP_EMC_DYN_CONFIG_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
IP_EMC_DYN_CONFIG_T Struct Reference
CHIP: LPC18xx/43xx External Memory Controller driver

## Detailed Description

EMC Dynamic Configure Struct.

Definition at line 252 of file emc_18xx_43xx.h.

`#include "emc_18xx_43xx.h"`

## Data Fields
int32_t | RefreshPeriod
uint32_t | ReadConfig
int32_t | tRP
int32_t | tRAS
int32_t | tSREX
int32_t | tAPR
int32_t | tDAL
int32_t | tWR
int32_t | tRC
int32_t | tRFC
int32_t | tXSR
int32_t | tRRD
int32_t | tMRD
IP_EMC_DYN_DEVICE_CONFIG_T | DevConfig [4]

## Field Documentation

IP_EMC_DYN_DEVICE_CONFIG_T DevConfig[4]

Device Configuration array

Definition at line 266 of file emc_18xx_43xx.h.

uint32_t ReadConfig

Clock

Definition at line 254 of file emc_18xx_43xx.h.

int32_t RefreshPeriod

Refresh period

Definition at line 253 of file emc_18xx_43xx.h.

int32_t tAPR

Last Data Out to Active Time

Definition at line 258 of file emc_18xx_43xx.h.

int32_t tDAL

Data In to Active Command Time

Definition at line 259 of file emc_18xx_43xx.h.

int32_t tMRD

Load Mode register command to Active Command

Definition at line 265 of file emc_18xx_43xx.h.

int32_t tRAS

Active to Precharge Command Period

Definition at line 256 of file emc_18xx_43xx.h.

int32_t tRC

Active to Active Command Period

Definition at line 261 of file emc_18xx_43xx.h.

int32_t tRFC

Auto-refresh Period

Definition at line 262 of file emc_18xx_43xx.h.

int32_t tRP

Precharge Command Period

Definition at line 255 of file emc_18xx_43xx.h.

int32_t tRRD

Active Bank A to Active Bank B Time

Definition at line 264 of file emc_18xx_43xx.h.

int32_t tSREX

Self Refresh Exit Time

Definition at line 257 of file emc_18xx_43xx.h.

int32_t tWR

Write Recovery Time

Definition at line 260 of file emc_18xx_43xx.h.

int32_t tXSR

Exit Selt Refresh

Definition at line 263 of file emc_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/emc_18xx_43xx.h